Skip to navigation

Get Number Order by Customer ID

View as Markdown
Retrieve a numbering order by its customer ID. If the organization is not specified, the authenticated user's organization is used.

Path parameters

idCustomerintegerRequired
The customer identifier

Query parameters

typeintegerRequired

Service type identifier used to filter the number orders. This parameter is required; omitting it returns HTTP 400.

Response

Number order retrieved successfully.
idinteger
The unique order identifier
tipostring
The order type
quantityinteger
The ordered quantity
organizationobject
The organization associated with the order
serviceobject
The service associated with the order
customerobject
The customer associated with the order
statusobject
The order status
codeOrderOlostring or nullOptional
The OLO order code
idOrderOlointeger or nullOptional
The OLO order identifier
notestring or nullOptional
Additional notes for the order
regionstring or nullOptional
The region associated with the order
provincestring or nullOptional
The province associated with the order
citystring or nullOptional
The city associated with the order
prefixstring or nullOptional
The number prefix
created_timestring or nullOptional
The order creation date
npDetailsany or nullOptional
Additional numbering plan details

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error